Loading...
Searching...
No Matches
Opm::UDQConfig::DynamicSelector Class Reference

Container of entities from a dynamic context. More...

`#include <UDQConfig.hpp>`

## Classes

class | StringRange
| Random access range of string values. More...

## Public Member Functions

| DynamicSelector ()=default
| Default constructor.
DynamicSelector & | wells (std::vector< std::string >::const_iterator first, std::vector< std::string >::const_iterator last)
| Include a range of well names into the dynamic selector.
DynamicSelector & | wells (const StringRange &srange)
| Include a range of well names into the dynamic selector.
const std::optional< StringRange > | wells () const
| Retrieve current dynamic well set.

## Detailed Description

Container of entities from a dynamic context.

Typically a collection of wells and/or groups that match an ACTIONX condtion.

## Constructor & Destructor Documentation

## DynamicSelector()

Opm::UDQConfig::DynamicSelector::DynamicSelector | ( |  | ) |

default

Default constructor.

Contains no wells.

## Member Function Documentation

## wells() [1/3]

const std::optional< StringRange > Opm::UDQConfig::DynamicSelector::wells | ( |  | ) | const

inline

Retrieve current dynamic well set.

Nullopt if there are no dynamic wells.

## wells() [2/3]

DynamicSelector & Opm::UDQConfig::DynamicSelector::wells | ( | const StringRange & | srange | ) |

inline

Include a range of well names into the dynamic selector.

Parameters

  [in] | srange | Existing string range.

Returns
  *this.

## wells() [3/3]

DynamicSelector & Opm::UDQConfig::DynamicSelector::wells | ( | std::vector< std::string >::const_iterator | first,
|  | std::vector< std::string >::const_iterator | last )

inline

Include a range of well names into the dynamic selector.

Parameters

  [in] | first | First element in range.
  [in] | last | One past the end of the elements in the range.

Returns
  *this.

The documentation for this class was generated from the following file:

- opm/input/eclipse/Schedule/UDQ/UDQConfig.hpp